<?php
/**
 * @package     Joomla.Site
 * @subpackage  Layout
 * @copyright   Copyright (C) Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

extract($displayData);
/**
 * Layout variables
 * ---------------------
 *     $options         : (array)  Optional parameters
 *     $label           : (string) The html code for the label (not required if $options['hiddenLabel'] is true)
 *     $input           : (string) The input field html code
 */

if (!empty($options['showonEnabled'])) {
    HTMLHelper::_('jquery.framework');
    HTMLHelper::_('script', 'jui/cms.js', ['version' => 'auto', 'relative' => true]);
}

$class = empty($options['class']) ? '' : ' ' . $options['class'];
$rel = empty($options['rel']) ? '' : ' ' . $options['rel'];
/**
 * @TODO:
 * As mentioned in #8473 (https://github.com/joomla/joomla-cms/pull/8473), ...
 * as long as we cannot access the field properties properly, this seems to
 * be the way to go for now.
 * On a side note: Parsing html is seldom a good idea.
 * https://stackoverflow.com/questions/1732348/regex-match-open-tags-except-xhtml-self-contained-tags/1732454#1732454
 */
preg_match('/class=\"([^\"]+)\"/i', $input, $match);

$required = (strpos($input, 'aria-required="true"') !== false || (!empty($match[1]) && strpos($match[1], 'required') !== false));
$typeOfSpacer = (strpos($label, 'spacer-lbl') !== false);

?>
<div class="uk-form-stacked uk-margin <?php echo $class; ?>"<?php echo $rel; ?>>
    <?php if (empty($options['hiddenLabel'])) { ?>
    <div class="uk-form-label">
        <?php
        echo $label;
        if (!$required && !$typeOfSpacer) {
        ?>
        <span class="uk-text-danger"><?php echo Text::_('COM_CONTACT_OPTIONAL'); ?></span>
        <?php } ?>
    </div>
    <?php } ?>
    <div class="uk-form-controls"><?php echo $input; ?></div>
</div>
